Get a paginated list of SLOs
- Base URL
-
https://{kibana_url}
- GET /s/{spaceId}/api/observability/slos
You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
Query parameters
-
kqlQuerystring -
A valid kql query to filter the SLO with
-
Example:
slo.name:latency* and slo.tags : "prod" -
sizeinteger · default: 1 -
The page size to use for cursor-based pagination, must be greater or equal than 1
-
searchAfterstring -
The cursor to use for fetching the results from, when using a cursor-base pagination.
Responses
Successful request
-
resultsobject -
budgetingMethodrequired -
The budgeting method to use when computing the rollup data.
-
Values:
occurrencestimeslices -
groupByoneOfrequired -
optional group by field or fields to use to generate an SLO per distinct value
-
settingsobjectrequired -
Defines properties for SLO settings.
-
frequencystring · default: 1m -
The interval between checks for changes in the source data. The minimum value is 1m and the maximum is 59m. The default value is 1 minute.
-
preventCrossProjectSearchboolean · default: falsedeprecated -
Pin the L1 rollup transform to the local/origin project only, preventing flat-world (cross-linked-project) reads. Only applies on serverless. Default is false, meaning rollup transforms target all linked projects.
-
preventInitialBackfillboolean · default: false -
Start aggregating data from the time the SLO is created, instead of backfilling data from the beginning of the time window.
-
projectRoutingsstring · max length: 8192nullable -
ES ProjectRouting expression controlling which linked projects the L1 rollup reads. When set (including null), overrides preventCrossProjectSearch. null and
_alias:_originmean origin only;_alias:*means all linked projects. Subset example_id:p1 AND _id:p2. -
syncDelaystring · default: 1m -
The time delay in minutes between the current time and the latest source data time. Increasing the value will delay any alerting. The default value is 1 minute. The minimum value is 1m and the maximum is 359m. It should always be greater then source index refresh interval.
-
syncFieldstring -
The date field that is used to identify new documents in the source. It is strongly recommended to use a field that contains the ingest timestamp. If you use a different field, you might need to set the delay such that it accounts for data transmission delays. When unspecified, we use the indicator timestamp field.
-
List of tags
Bad request
Unauthorized response
Forbidden response